import { world as World } from "mojang-minecraft"
import {
    ActionFormData,
    ModalFormData
} from "mojang-minecraft-ui"
import {
    BlackCellphoneForm
} from "./black_smartphone"
function getScore(objective, player) {
    try {
        const command = player.runCommand(`scoreboard players test @s "${objective}" * *`);
        return parseInt(command.statusMessage.split(/\s+/)[1]);
    } catch {
        return 0;
    }
}
//Store App
export function BlackCellphoneformStoreItemsFoodsApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.beef_cooked", "textures/items/beef_cooked.png")
    actionForm.button("button.mutton_cooked", "textures/items/mutton_cooked.png")
    actionForm.button("button.chicken_cooked", "textures/items/chicken_cooked.png")
    actionForm.button("button.rabbit_cooked", "textures/items/rabbit_cooked.png")
    actionForm.button("button.porkchop_cooked", "textures/items/porkchop_cooked.png")
    actionForm.button("button.fish_cooked", "textures/items/fish_cooked.png")
    actionForm.button("button.fish_salmon_cooked", "textures/items/fish_salmon_cooked.png")
    actionForm.button("button.mushroom_stew", "textures/items/mushroom_stew.png")
    actionForm.button("button.rabbit_stew", "textures/items/rabbit_stew.png")
    actionForm.button("button.beetroot_soup", "textures/items/beetroot_soup.png")
    actionForm.button("button.potato_baked", "textures/items/potato_baked.png")
    actionForm.button("button.cookie", "textures/items/cookie.png")
    actionForm.button("button.pumpkin_pie", "textures/items/pumpkin_pie.png")
    actionForm.button("button.apple", "textures/items/apple.png")
    actionForm.button("button.cake", "textures/items/cake.png")
    actionForm.button("button.bread", "textures/items/bread.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_beef`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_mutton`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_chicken`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_rabbit`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 5) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_porkchop`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 6) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_cod`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 7) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s cooked_salmon`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 8) {
            if (getScore('money', player) < 10) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 9) {
                player.runCommand(`give @s mushroom_stew`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 10`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 9) {
            if (getScore('money', player) < 10) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 9) {
                player.runCommand(`give @s rabbit_stew`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 10`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 10) {
            if (getScore('money', player) < 10) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 9) {
                player.runCommand(`give @s beetroot_soup`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 10`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 11) {
            if (getScore('money', player) < 2) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1) {
                player.runCommand(`give @s baked_potato`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 12) {
            if (getScore('money', player) < 2) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1) {
                player.runCommand(`give @s cookie`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 13) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s pumpkin_pie`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 14) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s apple`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 15) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s cake`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
        if (selection == 16) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s bread`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsDropsApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.rotten_flesh", "textures/items/rotten_flesh.png")
    actionForm.button("button.bone", "textures/items/bone.png")
    actionForm.button("button.spider_eye", "textures/items/spider_eye.png")
    actionForm.button("button.string", "textures/items/string.png")
    actionForm.button("button.gunpowder", "textures/items/gunpowder.png")
    actionForm.button("button.blaze_rod", "textures/items/blaze_rod.png")
    actionForm.button("button.magma_cream", "textures/items/magma_cream.png")
    actionForm.button("button.ender_pearl", "textures/items/ender_pearl.png")
    actionForm.button("button.phantom_membrane", "textures/items/phantom_membrane.png")
    actionForm.button("button.slime_ball", "textures/items/slimeball.png")
    actionForm.button("button.ghast_tear", "textures/items/ghast_tear.png")
    actionForm.button("button.feather", "textures/items/feather.png")
    actionForm.button("button.shulker_shell", "textures/items/shulker_shell.png")
    actionForm.button("button.leather", "textures/items/leather.png")
    actionForm.button("button.rabbit_hide", "textures/items/rabbit_hide.png")
    actionForm.button("button.rabbit_foot", "textures/items/rabbit_foot.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 1) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 0) {
                player.runCommand(`give @s rotten_flesh`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 1) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 0) {
                player.runCommand(`give @s bone`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s spider_eye`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 2) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1) {
                player.runCommand(`give @s string`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 5) {
            if (getScore('money', player) < 10) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 9) {
                player.runCommand(`give @s gunpowder`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 10`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 6) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s blaze_rod`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 7) {
            if (getScore('money', player) < 15) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 14) {
                player.runCommand(`give @s magma_cream`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 15`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 8) {
            if (getScore('money', player) < 10) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 9) {
                player.runCommand(`give @s ender_pearl`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 10`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 9) {
            if (getScore('money', player) < 50) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 49) {
                player.runCommand(`give @s phantom_membrane`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 10) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s slime_ball`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 11) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s ghast_tear`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 12) {
            if (getScore('money', player) < 2) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1) {
                player.runCommand(`give @s feather`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 13) {
            if (getScore('money', player) < 100) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 99) {
                player.runCommand(`give @s shulker_shell`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 100`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 14) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s leather`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 15) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s rabbit_hide`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
        if (selection == 16) {
            if (getScore('money', player) < 5) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 4) {
                player.runCommand(`give @s rabbit_stew`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 5`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.iron_helmet", "textures/items/iron_helmet.png")
    actionForm.button("button.iron_chestplate", "textures/items/iron_chestplate.png")
    actionForm.button("button.iron_leggings", "textures/items/iron_leggings.png")
    actionForm.button("button.iron_boots", "textures/items/iron_boots.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsArmorsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 50) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 49) {
                player.runCommand(`give @s iron_helmet`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 80) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 79) {
                player.runCommand(`give @s iron_chestplate`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 80`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 70) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 69) {
                player.runCommand(`give @s iron_leggings`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 70`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 40) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 39) {
                player.runCommand(`give @s iron_boots`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 40`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.gold_helmet", "textures/items/gold_helmet.png")
    actionForm.button("button.gold_chestplate", "textures/items/gold_chestplate.png")
    actionForm.button("button.gold_leggings", "textures/items/gold_leggings.png")
    actionForm.button("button.gold_boots", "textures/items/gold_boots.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsArmorsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 125) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 124) {
                player.runCommand(`give @s golden_helmet`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 125`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 200) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 199) {
                player.runCommand(`give @s golden_chestplate`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 200`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 175) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 174) {
                player.runCommand(`give @s golden_leggings`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 175`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 100) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 99) {
                player.runCommand(`give @s golden_boots`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 100`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.diamond_helmet", "textures/items/diamond_helmet.png")
    actionForm.button("button.diamond_chestplate", "textures/items/diamond_chestplate.png")
    actionForm.button("button.diamond_leggings", "textures/items/diamond_leggings.png")
    actionForm.button("button.diamond_boots", "textures/items/diamond_boots.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsArmorsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 250) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 249) {
                player.runCommand(`give @s diamond_helmet`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 250`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 400) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 399) {
                player.runCommand(`give @s diamond_chestplate`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 400`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 350) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 349) {
                player.runCommand(`give @s diamond_leggings`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 350`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 200) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 199) {
                player.runCommand(`give @s diamond_boots`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 200`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.netherite_helmet", "textures/items/netherite_helmet.png")
    actionForm.button("button.netherite_chestplate", "textures/items/netherite_chestplate.png")
    actionForm.button("button.netherite_leggings", "textures/items/netherite_leggings.png")
    actionForm.button("button.netherite_boots", "textures/items/netherite_boots.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsArmorsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 2500) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 2499) {
                player.runCommand(`give @s netherite_helmet`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2500`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 4000) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 3999) {
                player.runCommand(`give @s netherite_chestplate`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 4000`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 3500) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 3499) {
                player.runCommand(`give @s netherite_leggings`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 3500`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 2000) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1999) {
                player.runCommand(`give @s netherite_boots`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 2000`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsArmorsApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.iron_armor", "textures/items/iron_chestplate.png")
    actionForm.button("button.gold_armor", "textures/items/gold_chestplate.png")
    actionForm.button("button.diamond_armor", "textures/items/diamond_chestplate.png")
    actionForm.button("button.netherite_armor", "textures/items/netherite_chestplate.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsApp(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformStoreItemsArmorsIronApp(player, lore, battery)
        }
        if (selection == 2) {
            BlackCellphoneformStoreItemsArmorsGoldApp(player, lore, battery)
        }
        if (selection == 3) {
            BlackCellphoneformStoreItemsArmorsDiamondApp(player, lore, battery)
        }
        if (selection == 4) {
            BlackCellphoneformStoreItemsArmorsNetheriteApp(player, lore, battery)
        }
    })
}
export function BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.iron_sword", "textures/items/iron_sword.png")
    actionForm.button("button.iron_pickaxe", "textures/items/iron_pickaxe.png")
    actionForm.button("button.iron_axe", "textures/items/iron_axe.png")
    actionForm.button("button.iron_shovel", "textures/items/iron_shovel.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s iron_sword`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 30) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 29) {
                player.runCommand(`give @s iron_pickaxe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 39`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 30) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 29) {
                player.runCommand(`give @s iron_axe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 30`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 20) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19) {
                player.runCommand(`give @s iron_shovel`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.gold_sword", "textures/items/gold_sword.png")
    actionForm.button("button.gold_pickaxe", "textures/items/gold_pickaxe.png")
    actionForm.button("button.gold_axe", "textures/items/gold_axe.png")
    actionForm.button("button.gold_shovel", "textures/items/gold_shovel.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 50) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 39) {
                player.runCommand(`give @s golden_sword`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 75) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 74) {
                player.runCommand(`give @s golden_pickaxe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 75`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 75) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 74) {
                player.runCommand(`give @s golden_axe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 75`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 50) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 49) {
                player.runCommand(`give @s golden_shovel`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.diamond_sword", "textures/items/diamond_sword.png")
    actionForm.button("button.diamond_pickaxe", "textures/items/diamond_pickaxe.png")
    actionForm.button("button.diamond_axe", "textures/items/diamond_axe.png")
    actionForm.button("button.diamond_shovel", "textures/items/diamond_shovel.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 100) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 99) {
                player.runCommand(`give @s diamond_sword`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 100`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 150) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 149) {
                player.runCommand(`give @s diamond_pickaxe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 150`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 150) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 149) {
                player.runCommand(`give @s diamond_axe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 150`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 100) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 99) {
                player.runCommand(`give @s diamond_shovel`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 100`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.netherite_sword", "textures/items/netherite_sword.png")
    actionForm.button("button.netherite_pickaxe", "textures/items/netherite_pickaxe.png")
    actionForm.button("button.netherite_axe", "textures/items/netherite_axe.png")
    actionForm.button("button.netherite_shovel", "textures/items/netherite_shovel.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery)
        }
        if (selection == 1) {
            if (getScore('money', player) < 1000) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 999) {
                player.runCommand(`give @s netherite_sword`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1000`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (getScore('money', player) < 1500) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1499) {
                player.runCommand(`give @s netherite_pickaxe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1500`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (getScore('money', player) < 1500) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 1499) {
                player.runCommand(`give @s netherite_axe`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1500`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (getScore('money', player) < 1000) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 999) {
                player.runCommand(`give @s netherite_shovel`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.item_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 1000`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery)
            }
        }
    })
}
export function BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.iron_weapons", "textures/items/iron_sword.png")
    actionForm.button("button.gold_weapons", "textures/items/gold_sword.png")
    actionForm.button("button.diamond_weapons", "textures/items/diamond_sword.png")
    actionForm.button("button.netherite_weapons", "textures/items/netherite_sword.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreApp(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformStoreItemsWeaponsIronApp(player, lore, battery)
        }
        if (selection == 2) {
            BlackCellphoneformStoreItemsWeaponsGoldApp(player, lore, battery)
        }
        if (selection == 3) {
            BlackCellphoneformStoreItemsWeaponsDiamondApp(player, lore, battery)
        }
        if (selection == 4) {
            BlackCellphoneformStoreItemsWeaponsNetheriteApp(player, lore, battery)
        }
    })
}
export function BlackCellphoneformStoreItemsApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_itemsstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.foods", "textures/icons_apps/store_app/foods.png")
    actionForm.button("button.drops", "textures/icons_apps/store_app/drops.png")
    actionForm.button("button.armors", "textures/icons_apps/store_app/armors.png")
    actionForm.button("button.weapons", "textures/icons_apps/store_app/weapons.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformStoreApp(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformStoreItemsFoodsApp(player, lore, battery)
        }
        if (selection == 2) {
            BlackCellphoneformStoreItemsDropsApp(player, lore, battery)
        }
        if (selection == 3) {
            BlackCellphoneformStoreItemsArmorsApp(player, lore, battery)
        }
        if (selection == 4) {
            BlackCellphoneformStoreItemsWeaponsApp(player, lore, battery)
        }
    })
}
export function BlackCellphoneformStoreApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_store§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.items", "textures/ui/icon_recipe_item.png")
    actionForm.button("button.blocks", "textures/ui/icon_recipe_construction.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformStoreItemsApp(player, lore, battery)
        }
        if (selection == 2) {
            player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.coming_soon"}]}`)
        }
    })
}